#pragma once
#include "Entity.h"
#define SYSSAVEPOINT_CREATENAME L"sys_savepoint"
class SysSavePoint :
    public Entity
{
public:
	SysSavePoint();
	void Step() override;
};

std::shared_ptr<Entity> CreateSysSavePoint();